| Version: 3.2.5

Classes | Enumerations | Variables
headerctrl.h File Reference

## Classes

class | wxHeaderCtrl
| wxHeaderCtrl is the control containing the column headings which is usually used for display of tabular data. More...
class | wxHeaderCtrlSimple
| wxHeaderCtrlSimple is a concrete header control which can be used directly, without inheriting from it as you need to do when using wxHeaderCtrl itself. More...
class | wxHeaderCtrlEvent
| Event class representing the events generated by wxHeaderCtrl. More...

## Enumerations

enum | { wxHD_ALLOW_REORDER = 0x0001 , wxHD_ALLOW_HIDE = 0x0002 , wxHD_BITMAP_ON_RIGHT = 0x0004 , wxHD_DEFAULT_STYLE = wxHD_ALLOW_REORDER }

## Variables

wxEventType | wxEVT_HEADER_CLICK
wxEventType | wxEVT_HEADER_RIGHT_CLICK
wxEventType | wxEVT_HEADER_MIDDLE_CLICK
wxEventType | wxEVT_HEADER_DCLICK
wxEventType | wxEVT_HEADER_RIGHT_DCLICK
wxEventType | wxEVT_HEADER_MIDDLE_DCLICK
wxEventType | wxEVT_HEADER_SEPARATOR_DCLICK
wxEventType | wxEVT_HEADER_BEGIN_RESIZE
wxEventType | wxEVT_HEADER_RESIZING
wxEventType | wxEVT_HEADER_END_RESIZE
wxEventType | wxEVT_HEADER_BEGIN_REORDER
wxEventType | wxEVT_HEADER_END_REORDER
wxEventType | wxEVT_HEADER_DRAGGING_CANCELLED

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
wxHD_ALLOW_REORDER |
wxHD_ALLOW_HIDE |
wxHD_BITMAP_ON_RIGHT |
wxHD_DEFAULT_STYLE |

## Variable Documentation

## ◆ wxEVT_HEADER_BEGIN_REORDER

wxEventType wxEVT_HEADER_BEGIN_REORDER

## ◆ wxEVT_HEADER_BEGIN_RESIZE

wxEventType wxEVT_HEADER_BEGIN_RESIZE

## ◆ wxEVT_HEADER_CLICK

wxEventType wxEVT_HEADER_CLICK

## ◆ wxEVT_HEADER_DCLICK

wxEventType wxEVT_HEADER_DCLICK

## ◆ wxEVT_HEADER_DRAGGING_CANCELLED

wxEventType wxEVT_HEADER_DRAGGING_CANCELLED

## ◆ wxEVT_HEADER_END_REORDER

wxEventType wxEVT_HEADER_END_REORDER

## ◆ wxEVT_HEADER_END_RESIZE

wxEventType wxEVT_HEADER_END_RESIZE

## ◆ wxEVT_HEADER_MIDDLE_CLICK

wxEventType wxEVT_HEADER_MIDDLE_CLICK

## ◆ wxEVT_HEADER_MIDDLE_DCLICK

wxEventType wxEVT_HEADER_MIDDLE_DCLICK

## ◆ wxEVT_HEADER_RESIZING

wxEventType wxEVT_HEADER_RESIZING

## ◆ wxEVT_HEADER_RIGHT_CLICK

wxEventType wxEVT_HEADER_RIGHT_CLICK

## ◆ wxEVT_HEADER_RIGHT_DCLICK

wxEventType wxEVT_HEADER_RIGHT_DCLICK

## ◆ wxEVT_HEADER_SEPARATOR_DCLICK

wxEventType wxEVT_HEADER_SEPARATOR_DCLICK